function [delta_tilde, nu, A, betta, allpha, kappa, rc_bar, k_bar, y_bar, c_bar, x_bar, q_bar, n_bar, m_bar, w_bar, ...
    wf_bar, lambda_bar, H_bar, F_bar, ADJ_bar, ADJFOC_bar, ld_bar, cd_bar, g_bar ]=solve_ss_model1

      

global M_

%% DO NOT CHANGE THIS PART.
%%
%% Here we load the values of the deep parameters in a loop.
%%
NumberOfParameters = M_.param_nbr;                            % Number of deep parameters.
for i = 1:NumberOfParameters                                  % Loop...
  paramname = deblank(M_.param_names(i,:)) ;                 %    Get the name of parameter i. 
  eval([ paramname ' = M_.params(' int2str(i) ');'])        %    Get the value of parameter i.
end                                                           % End of the loop.  


 q=1;
 zP=1;
 delta_tilde=exp(ngamma)+delta-1; 
 ADJFOC=1;
 ADJ=delta_tilde;
 %%%%%%%%%%%%%%%%%%%%%%%
 r=exp(r_bar);
 %m=exp(-sig_m^2/2)/r;
 m=1/r;
 betta=m*exp(eta*ngamma);
 
 %rc=1/m/exp(sig_m^2/2+cov_mc);
  rc=1/m;
 
 xybar=theta*delta_tilde/(rc+delta-1);
 
 yk_bar=(rc+delta-1)/theta; 
 
 
 ck_bar=yk_bar-(gy_bar*yk_bar)-delta_tilde;
 
 

 
 l_bar=2/3;
 kappa=(1-l_bar)/l_bar*ck_bar/yk_bar*exp(eps_w_bar)/(1-theta);
 CapY=l_bar/(1-l_bar)*FEinv-(2-1/eta)/(1-chi)/kappa;
 nu=1-(1-ppsi)*CapY;
 allpha=kappa*nu*(1-chi)/(1-ppsi)-1;
 A=allpha*(1-ppsi)^nu*l_bar^nu;
 
 l=l_bar;

 n=1-l_bar;
 
 k=yk_bar^(1/(theta-1))* n * exp(ngamma); 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 y=yk_bar*k; 
 c=ck_bar*k; 
 x=delta_tilde*k;
 g=gy_bar*y;
  
 s=0;
 cd=(1-chi)*c;
 ld=(1-ppsi)*l;
 
 H=chi*c;
 F=ppsi*l_bar;
 
 w=(1-theta)*y/n;
 wf=w/exp(eps_w_bar);
 
 
 lambda=cd^(-eta)*(A+ld^(nu))^(1-eta);

 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 n_bar =n;
 rc_bar =rc;
 q_bar=q;
 k_bar =k;
 y_bar =y;
 c_bar =c;
 x_bar =x;
 m_bar =m;
 w_bar =w;
 wf_bar=wf;
 lambda_bar=lambda;
 H_bar=H;
 F_bar=F;
 ADJ_bar=ADJ;
 ADJFOC_bar=ADJFOC;
 ld_bar=ld;
 cd_bar=cd;   
 g_bar=g;