function [ys,check] = model2_steadystate(ys,exe)
global M_ oo_

%% DO NOT CHANGE THIS PART.
%%
%% Here we load the values of the deep parameters in a loop.
%%
NumberOfParameters = M_.param_nbr;                            % Number of deep parameters.
for i = 1:NumberOfParameters                                  % Loop...
  paramname = deblank(M_.param_names(i,:));                   %    Get the name of parameter i. 
  eval([ paramname ' = M_.params(' int2str(i) ');']);         %    Get the value of parameter i.
end                                                           % End of the loop.  
check=0;

w=0;
wf=0;
y=0;
k=0;
x=0;
c=0;
l=0;
r=0;
rc=0;
n=0;
q=0;
ld=0;
cd=0;
lambda=0;
s=0;
m=0;
H=0;
F=0;
zL=0;
zI=0;
eps_w=0;
g=0;

zP=0;
y_l=0;
c_l=0;
x_l=0;
k_l=0;
w_l=0;
rq=SR*sig_rq;
dy_obs=0;
cy_obs=0;
dx_obs=0;

NumberOfEndogenousVariables = M_.endo_nbr;                    % Number of endogenous variables.
ys = zeros(NumberOfEndogenousVariables,1);                    % Initialization of ys (steady state).
for i = 1:NumberOfEndogenousVariables                         % Loop...
  varname = deblank(M_.endo_names(i,:)) ;
  %    Get the name of endogenous variable i.                     
  eval(['ys(' int2str(i) ') = ' varname ';'])  ;            %    Get the steady state value of this variable.
   
end   

