function setparams

global M_

NumberOfParameters = M_.param_nbr;                            % Number of deep parameters.
for i = 1:NumberOfParameters                                  % Loop...
  paramname = deblank(M_.param_names(i,:));                   %    Get the name of parameter i. 
  eval([ paramname ' = M_.params(' int2str(i) ');']);         %    Get the value of parameter i.
end  





ngamma =0.0044;
eta = 2.068;
mu = 0.2424;
nzeta =8.168;
chi =0.736;
ppsi = 0.8263;
delta=0.0175;

rho_c=0;
rho_l=0;

eps_w_bar=.05;
r_bar=.0027;

FEinv=5.108;

theta=0.33;


sig_m=0;
cov_mc=0;
sig_rc=0;
sig_r=0;
sig_rq=0.1;
SR=0.1;

piI =0.711;
piL =.712;
piG =0.9257;
piW=0.9415;

gy_bar=0.28;

Omega=0.5;

NumberOfParameters = M_.param_nbr;
        for i = 1:NumberOfParameters
            paramname = deblank(M_.param_names(i,:));
            eval(['M_.params(' int2str(i) ')=' paramname ';']);
        end

%% calculating parameter with steady state

[delta_tilde, nu, A, betta, allpha, kappa, rc_bar, k_bar, y_bar, c_bar, x_bar, q_bar, n_bar, m_bar, w_bar, ...
   wf_bar, lambda_bar, H_bar, F_bar, ADJ_bar, ADJFOC_bar, ld_bar, cd_bar, g_bar ]=solve_ss_model1;



NumberOfParameters = M_.param_nbr;
        for i = 1:NumberOfParameters
            paramname = deblank(M_.param_names(i,:));
            
            eval(['M_.params(' int2str(i) ')=' paramname ';']);
        end

 
	