function [nu, betta, allpha, A,  sig_m, cov_mc, sig_rc, sig_r, SR, xybar, eta,cy_bar, EIS,sig_rq, cov_mq,  SR_q, RB40]=addpara2_dynare
global M_ oo_
%% Evaluate Parameters
NumberOfParameters = M_.param_nbr;                            % Number of deep parameters.
for i = 1:NumberOfParameters                                  % Loop...
  paramname = deblank(M_.param_names(i,:)) ;                 %    Get the name of parameter i. 
  eval([ paramname ' = M_.params(' int2str(i) ');'])        %    Get the value of parameter i.
end

%% 

m_bar=exp(-sig_m^2/2)/exp(r_bar);
betta=m_bar*exp(eta*ngamma);
rc_bar=1/m_bar/exp(sig_m^2/2+cov_mc);
delta_tilde=exp(ngamma)+delta-1; 
xybar=theta*delta_tilde/(rc_bar+delta-1);
yk_bar=(rc_bar+delta-1)/theta; 
ck_bar=yk_bar-(gy_bar*yk_bar)-delta_tilde;
l_bar=2/3;
kappa=(1-l_bar)/l_bar*ck_bar/yk_bar*exp(eps_w_bar)/(1-theta);
CapY=l_bar/(1-l_bar)*FEinv-(2-1/eta)/(1-chi)/kappa;
nu=1-(1-ppsi)*CapY;
allpha=kappa*nu*(1-chi)/(1-ppsi)-1;
A=allpha*(1-ppsi)^nu*l_bar^nu;
n_bar=1-l_bar;
k_bar=yk_bar^(1/(theta-1))* n_bar * exp(ngamma); 
y_bar=yk_bar*k_bar; 
c_bar=ck_bar*k_bar; 
x_bar=delta_tilde*k_bar;
g_bar=gy_bar*y_bar;


EIS=eta/(1-chi);
xybar=x_bar/y_bar;
cy_bar=c_bar/y_bar;



%%%
kk=oo_.dr.order_var;
Qmat=M_.Sigma_e;
%


row_m = strmatch('m', M_.endo_names(kk,:), 'exact');



% Volatility M(+40)

 endo_nbr = M_.endo_nbr;
    nstatic = oo_.dr.nstatic;
    npred = oo_.dr.npred;
    iv = (1:endo_nbr)';
    ic = [ nstatic+(1:npred) endo_nbr+(1:size(oo_.dr.ghx,2)-npred) ]';
    aux = oo_.dr.transition_auxiliary_variables;
    k = find(aux(:,2) > npred);
    aux(:,2) = aux(:,2) + nstatic;
    aux(k,2) = aux(k,2) + oo_.dr.nfwrd;
    
[KT,KI] = kalman_transition_matrix(oo_.dr,iv,ic,aux,M_.exo_nbr);

%%
 B = KI.* repmat(sqrt(diag(Qmat)'),M_.endo_nbr,1);
 BB=B*B';          

V=zeros(M_.endo_nbr,M_.endo_nbr);
VM=zeros(M_.endo_nbr,M_.endo_nbr,40);
for jj=1:1
       V=(KT)*V*(KT)'+BB;         
       VM(:,:,jj)=  V;
  
end

VM=sum(VM,3);
sig2_mnk=sqrt(diag(VM));

sig_M40=sig2_mnk(row_m);

cr40=1/(betta*exp(sig_M40^2/2/40)*exp(-eta*ngamma));

RB40=(log(cr40)-r_bar)*10000;



